#
# spec file for package perl-Convert-BER (Version 1.3101)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Convert-BER
Version:        1.3101
Release:        206.2
Provides:       perl_ber
Obsoletes:      perl_ber
Requires:       perl = %{perl_version}
Autoreqprov:    on
URL:            http://cpan.org/modules/by-module/Convert/
License:        GPL
Group:          Development/Libraries/Perl
Summary:        Convert::BER
Source:         Convert-BER-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Convert::BER is a Perl object class implementation for encoding and
decoding objects as described by ITU-T standard X.209 (ASN.1) using
Basic Encoding Rules (BER).



Authors:
--------
    Graham Barr <gbarr@pobox.com>

%debug_package
%prep
%setup -n Convert-BER-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Convert
%{perl_vendorarch}/auto/Convert
/var/adm/perl-modules/%{name}

%changelog -n perl-Convert-BER
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 - mjancar@suse.cz
- fix filelist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Thu Nov 28 2002 - prehak@suse.cz
- updated to version 1.3101
- removed patch Convert-BER.dif (doesn't need anymore)
* Wed Jul 31 2002 - prehak@suse.cz
- changed order of two strings in t/03seqof.t (Convert-BER.dif)
  (probably the order of hash keys has changed with perl 5.8.0
  (the order of the keys is not guaranteed by perl) )
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Wed Jan 23 2002 - rvasice@suse.cz
- spec file cleanup
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_ber -> perl-Convert-BER
* Tue Aug 22 2000 - cihlar@suse.cz
- update to version 1.31
- added BuildRoot
- bzipped sources
* Fri Mar 17 2000 - ug@suse.de
- build for IMap Server CD
